Package org.opensaml.saml.metadata.criteria.entity

# Class DetectDuplicateEntityIDsCriterion

java.lang.Object
org.opensaml.saml.metadata.criteria.entity.DetectDuplicateEntityIDsCriterion

All Implemented Interfaces:
  `Criterion`

public class DetectDuplicateEntityIDsCriterion extends Object implements Criterion
Criterion which holds an instance of `DetectDuplicateEntityIDs`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private DetectDuplicateEntityIDs`
`value`
The configured duplicate detection value.

## Constructor Summary

Constructors
Constructor
Description
`DetectDuplicateEntityIDsCriterion(DetectDuplicateEntityIDs detect)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`DetectDuplicateEntityIDs`
`getValue()`
Get the configured value.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### value

@Nonnull private DetectDuplicateEntityIDs value
The configured duplicate detection value.

## Constructor Details

### DetectDuplicateEntityIDsCriterion

public DetectDuplicateEntityIDsCriterion(@Nonnull DetectDuplicateEntityIDs detect)
Constructor.

Parameters:
  `detect` - the value used for duplicate detection

## Method Details

### getValue

@Nonnull public DetectDuplicateEntityIDs getValue()
Get the configured value.

Returns:
  the criterion value

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`